---
title: ServiceWorkerContainer.getRegistrations()
slug: Web/API/ServiceWorkerContainer/getRegistrations
tags:
  - API
  - Experimental
  - Method
  - Reference
  - Service Workers
  - ServiceWorker
  - ServiceWorkerContainer
---
<div>{{APIRef("Service Workers API")}}</div>

<p>The <strong><code>getRegistrations()</code></strong> method of the {{domxref("ServiceWorkerContainer")}} interface gets all {{domxref("ServiceWorkerRegistration")}}s associated with a <code>ServiceWorkerContainer</code>, in an array. The method returns a {{jsxref("Promise")}} that resolves to an array of {{domxref("ServiceWorkerRegistration")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>serviceWorkerContainer</em>.getRegistrations().then(function(<em>serviceWorkerRegistrations</em>) { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Promise")}} that resolves to an array of {{domxref("ServiceWorkerRegistration")}} objects.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.serviceWorker.getRegistrations().then(function(registrations) {
  document.querySelector('#status').textContent = 'ServiceWorkerRegistrations found.';
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#navigator-service-worker-getRegistrations', 'getRegistrations()')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerContainer.getRegistrations")}}</p>
</div>
